searchNodes=[{"doc":"This repository houses the Elixir client library for Authzed. Authzed is a database and service that stores, computes, and validates your application's permissions. Developers create a schema that models their permissions requirements and use a client library, such as this one, to apply the schema to the database, insert data into the database, and query the data to efficiently check permissions in their applications. Supported client API versions: v1 v1alpha1 v0 - Deprecated You can find more info on each API on the Authzed API reference documentation . Additionally, Protobuf API documentation can be found on the Buf Registry Authzed API repository . Getting Started We highly recommend following the Protecting Your First App guide to learn the latest best practice to integrate an application with Authzed. If you're interested in example uses of the API, see the test files in the test directory . Basic Usage Installation The package can be installed by adding authzed to your list of dependencies in mix.exs : def deps do [ { :authzed , &quot;~&gt; 0.0.1&quot; } ] end Initializing a client In order to successfully connect, you will have to provide a Bearer Token with your own API Token from the Authzed dashboard in place of somerandomkeyhere in the following example: alias Authzed.Api.V1.{Client, GRPCUtil} client = Client.new( &quot;localhost:50051&quot;, GRPCUtil.insecure_bearer_auth_token(&quot;somerandomkeyhere&quot;) ) Performing an API call alias Authzed.Api.V1.{ CheckPermissionRequest, ObjectReference, SubjectReference, } # Is Emilia in the set of users that can read post #1? post_one = ObjectReference.new(object_type: &quot;post&quot;, object_id: &quot;1&quot;) emilia = SubjectReference.new(object: ObjectReference.new(object_type: &quot;user&quot;, object_id: &quot;emilia&quot;)) {:ok, response} = client.permissions_service.check_permission( client.channel, CheckPermissionRequest.new( resource: post_one, permission: &quot;view&quot;, subject: emilia ) ) assert response.permissionship == :PERMISSIONSHIP_HAS_PERMISSION","ref":"Authzed.html","title":"Authzed","type":"module"},{"doc":"","ref":"Authzed.Api.V1.Client.html","title":"Authzed.Api.V1.Client","type":"module"},{"doc":"Establishes a gRPC connection with the Authzed service. Options: https://hexdocs.pm/grpc/GRPC.Stub.html#connect/2-options","ref":"Authzed.Api.V1.Client.html#new/3","title":"Authzed.Api.V1.Client.new/3","type":"function"},{"doc":"","ref":"Authzed.Api.V1.Client.html#new/4","title":"Authzed.Api.V1.Client.new/4","type":"function"},{"doc":"","ref":"Authzed.Api.V1.GRPCUtil.html","title":"Authzed.Api.V1.GRPCUtil","type":"module"},{"doc":"","ref":"Authzed.Api.V1.GRPCUtil.html#bearer_auth_token/1","title":"Authzed.Api.V1.GRPCUtil.bearer_auth_token/1","type":"function"},{"doc":"","ref":"Authzed.Api.V1.GRPCUtil.html#insecure_bearer_auth_token/1","title":"Authzed.Api.V1.GRPCUtil.insecure_bearer_auth_token/1","type":"function"}]